# Class ConnectorImpl

java.lang.Object
org.apache.jmeter.monitor.model.ConnectorImpl

All Implemented Interfaces:
  `Connector`

public class ConnectorImpl extends Object implements Connector

Version:
  $Revision: 1413262 $

## Constructor Summary

Constructors
Constructor
Description
`ConnectorImpl()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
`RequestInfo`
`getRequestInfo()`
`ThreadInfo`
`getThreadInfo()`
`Workers`
`getWorkers()`
`void`
`setName(String value)`
`void`
`setRequestInfo(RequestInfo value)`
`void`
`setThreadInfo(ThreadInfo value)`
`void`
`setWorkers(Workers value)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ConnectorImpl

public ConnectorImpl()

## Method Details

### getThreadInfo

public ThreadInfo getThreadInfo()

Specified by:
  `getThreadInfo` in interface `Connector`

### setThreadInfo

public void setThreadInfo(ThreadInfo value)

Specified by:
  `setThreadInfo` in interface `Connector`

### getRequestInfo

public RequestInfo getRequestInfo()

Specified by:
  `getRequestInfo` in interface `Connector`

### setRequestInfo

public void setRequestInfo(RequestInfo value)

Specified by:
  `setRequestInfo` in interface `Connector`

### getWorkers

public Workers getWorkers()

Specified by:
  `getWorkers` in interface `Connector`

### setWorkers

public void setWorkers(Workers value)

Specified by:
  `setWorkers` in interface `Connector`

### getName

public String getName()

Specified by:
  `getName` in interface `Connector`

### setName

public void setName(String value)

Specified by:
  `setName` in interface `Connector`